Summary:        Utilities for configuring the linux ethernet bridge
Name:           bridge-utils
Version:        1.7.1
Release:        2%{?dist}
License:        GPLv2+
URL:            https://wiki.linuxfoundation.org/networking/bridge

Source0:        https://git.kernel.org/pub/scm/network/bridge/%{name}.git/snapshot/%{name}-%{version}.tar.gz

BuildRequires:  libsysfs-devel
BuildRequires:  autoconf automake libtool
BuildRequires:  gcc
BuildRequires:  kernel-headers >= 2.6.16
BuildRequires:  make

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

Install bridge-utils if you want to use the linux ethernet bridge.

%prep
%setup -q

%build
autoconf
%configure
%make_build

%install
%make_install SUBDIRS="brctl doc"

%files
%license COPYING
%doc AUTHORS doc/FAQ doc/HOWTO
%{_sbindir}/brctl
%{_mandir}/man8/brctl.8*

%changelog
* Wed Feb 26 2025 Kaiqiang Wang <wangkaiqiang@ieisystgem.com> - 1.7.1-2
- init from bridge-utils-1.7.1-2.el8.src.rpm
